Name:               hovercraft
Version:            1.1
Release:            1%{?dist}
Summary:            Makes impress.js presentations from reStructuredText

Group:              Applications/Publishing
License:            CC0
URL:                http://pypi.python.org/pypi/hovercraft
Source0:            http://pypi.python.org/packages/source/h/%{name}/%{name}-%{version}.zip

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-docutils
BuildRequires:      python3-lxml >= 3.1.0
BuildRequires:      python3-svg-path
BuildRequires:      python3-pygments
BuildRequires:      impressjs

Requires:           python3
Requires:           python3-docutils
Requires:           python3-lxml >= 3.1.0
Requires:           python3-svg-path
Requires:           python3-pygments
Requires:           impressjs


%description
The merge of convenience and cool!

Hovercraft is a tool to make impress.js presentations from
reStructuredText.

- Write your presentations in a text markup language. No slow, limiting
  GUI, no annoying HTML!
- Pan, rotate and zoom in 3D, with automatic repositioning of slides!
- A presenter console with notes and slide previews!
- The slide show generated is in HTML, so you only need a web browser to
  show it.
- Easy sharing, as it can be put up on a website for anyone to see!

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{name}.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

# Unbundle impress.js
rm %{buildroot}%{python3_sitelib}/hovercraft/templates/default/js/impress.js
rm %{buildroot}%{python3_sitelib}/hovercraft/templates/simple/js/impress.js
ln -s %{_datadir}/impressjs/impress.js \
    %{buildroot}%{python3_sitelib}/hovercraft/templates/default/js/impress.js
ln -s %{_datadir}/impressjs/impress.js \
    %{buildroot}%{python3_sitelib}/hovercraft/templates/simple/js/impress.js

%check
%{__python3} setup.py test

%files
%doc README.rst CHANGES.txt PKG-INFO
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*

%changelog
* Mon Apr 15 2013 Ralph Bean <rbean@redhat.com> - 1.1-1
- Initial package for Fedora
